Subject: Re: ab/send-email-transferencoding-fix, was Re: What's cooking in git.git (May 2019, #04; Tue, 28)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 29 May 2019 14:36:03 +0200

On Wed, May 29 2019, Johannes Schindelin wrote:

> Hi Junio & Ævar,
>
> On Tue, 28 May 2019, Junio C Hamano wrote:
>
>> * ab/send-email-transferencoding-fix (2019-05-19) 7 commits
>>  - send-email: fix regression in sendemail.identity parsing
>>  - send-email: document --no-[to|cc|bcc]
>>  - send-email: fix broken transferEncoding tests
>>  - send-email: remove cargo-culted multi-patch pattern in tests
>>   (merged to 'next' on 2019-05-13 at 38c6a1e7e0)
>>  + send-email: do defaults -> config -> getopt in that order
>>  + send-email: rename the @bcclist variable for consistency
>>  + send-email: move the read_config() function above getopts
>>
>>  Since "git send-email" learned to take 'auto' as the value for the
>>  transfer-encoding, it by mistake stopped honoring the values given
>>  to the configuration variables sendemail.transferencoding and/or
>>  sendemail.<ident>.transferencoding.  This has been corrected to
>>  (finally) redoing the order of setting the default, reading the
>>  configuration and command line options.
>>
>>  Will merge to 'next'.
>
> I just sent a reminder that the tip commit is broken under NO_PERL, and
> accompanied the report with a diff that could be squashed in. Ævar, please
> have a look and say yay or nay, and please let's only let this enter
> `next` once it is fixed (because otherwise the Azure Pipeline will spam me
> every tim `next` is psuhed -- thanks, Emily, now I mistype this every
> single time).

Sorry about missing this. Your prereq addition in
<[email-masked]> looks obviously
correct to me.